class VisitorMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Odwiedzający, sprawdzanie części pojazdu");
        var vehicleCheck = new VehicleCheck();
        vehicleCheck.accept(new VehicleSystemCheckVisitor());
    }
}
